/*
 * $Id: MultiElementAddedEvent.java 20320 2010-11-24 15:03:31Z dfeist $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSoft, Inc.  All rights reserved.  http://www.mulesoft.com
 *
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.module.launcher.util;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
*
*/
public class MultiElementAddedEvent extends ElementEvent {

    private List values = new ArrayList();

    public MultiElementAddedEvent(Object source, int index, List values) {
        super(source, OLDVALUE, NEWVALUE, ElementEvent.MULTI_ADD, index);
        if (values != null) {
            this.values.addAll(values);
        }
    }

    public List getValues() {
        return Collections.unmodifiableList(values);
    }
}
